View Issue Details

IDProjectCategoryView StatusLast Update
0012964ScribusUser Interfacepublic2020-11-23 20:55
Reporterbubu Assigned Tojghali  
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.0svn 
Target Version1.6 milestoneFixed in Version1.5.7.svn 
Summary0012964: Visual glitches in the Preferences / Document Setup dialog
Description1) There are some tabs, where the background colour is not correct. See the attached screenshots.
- Preferences > Document Setup > Margins & Bleeds == Document Setup > Document Setup > Margins & Bleeds
- Preferences > Item Tools > Images == Document Setup > Item Tools > Images
- Preferences > Item Tools > Text == Document Setup > Item Tools > Text
- Preferences > PDF Export > Color == Document Setup > PDF Export > Color
- Preferences > PDF Export > File Options == Document Setup > PDF Export > File Options
- Preferences > PDF Options > Pre-Press == Document Setup > PDF Options > Pre-Press

2) There is an unnecessary horizontal line on the bottom on this page:
- Preferences > Guides == Document Setup > Guides
Tagspatch
PatchNo

Activities

bubu

2015-03-22 12:11

reporter  

bubu

2015-03-22 12:12

reporter  

bubu

2015-03-22 12:12

reporter  

bubu

2015-03-22 12:12

reporter  

bubu

2015-03-22 12:12

reporter  

bubu

2015-03-22 12:12

reporter  

bubu

2015-03-22 12:13

reporter  

bubu

2015-03-22 12:14

reporter  

Preferences - Guides.png (103,826 bytes)
Preferences - Guides.png (103,826 bytes)

Kunda

2015-06-30 17:32

updater   ~0035586

Hey Bubu, help me out here. I'm on OSX and I don't see any of the issues you are referring to. Perhaps I'm not understanding the issue.
For example you mention in Issue 1 that 'background colour is not correct' I can't seem to see that in the screenshots you shared. Can you point that out for me ? I also didn't see this in OSX 10.10.3 1.5.1svn r20224

In issue 2) I can't find the "unnecessary horizontal line".

bubu

2015-06-30 22:40

reporter  

bubu

2015-06-30 22:40

reporter  

bubu

2015-06-30 22:41

reporter   ~0035595

ad 1) I attached new screenshots. Can you see the different background colour? (Ubuntu 15.04, Scribus Friends PPA, scribus-trunk)

ad 2) It seems to me, this bug is solved :). I can't reproduce in 1.5.0 nor in trunk.

simonaw

2015-07-01 14:28

reporter   ~0035600

I can see the difference. The thing is that the tab widgets appears to have a slightly lighter background (e.g. in "User Interface") while e.g. "Paths" only has one frame that appears in a darker shade of gray.

simonaw

2015-07-01 14:52

reporter  

scribus-preferences.png (39,144 bytes)
scribus-preferences.png (39,144 bytes)

simonaw

2015-07-01 14:53

reporter   ~0035601

When you set AutoFillBackground to true for all tab widgets you get a result as seen in my attached screenshot.

What do the devs think?

Kunda

2015-07-01 15:11

updater   ~0035602

Looks like it fixed it cosmetically for the most part. The Tab label itself is still not totally behaving correctly.

SimonAW: Where do you set the AutoFillBackground ?

simonaw

2015-07-01 17:23

reporter   ~0035606

Kunda: It is a QWidget property. So you would need to recompile Scribus.

Kunda

2015-07-01 23:23

updater   ~0035612

SimonAW, what would fix the color of the tab label background?

cbradney

2015-07-02 16:48

administrator   ~0035622

Tried locally on the QTabWidgets and it doesn't seem to have changed anything, I remember trying this before too.

Kunda

2016-05-29 10:14

updater   ~0041537

Last edited: 2016-05-29 10:26

View 2 revisions

Punting to FirasH to see if he can tweek this issue.

FirasH

2016-05-30 19:36

developer   ~0041575

I looked very fast at the issue. One solution could be changing QScrollArea color Palette (or we get dangerous drawbacks?).

FirasH

2016-05-31 20:42

developer   ~0041590

For testing purposes made a small patch for prefs_pdfexportbase.ui (see: File > Preferences > File Options/Color/Pre-Press).

FirasH

2016-05-31 20:42

developer  

12964-Test.diff (6,135 bytes)

diff --git a/scribus/ui/prefs_pdfexportbase.ui b/scribus/ui/prefs_pdfexportbase.ui
--- a/scribus/ui/prefs_pdfexportbase.ui
+++ b/scribus/ui/prefs_pdfexportbase.ui
@@ -240,6 +240,43 @@
       <layout class="QVBoxLayout" name="verticalLayout_7">
        <item>
         <widget class="QScrollArea" name="scrollArea_3">
+         <property name="palette">
+          <palette>
+           <active>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </active>
+           <inactive>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </inactive>
+           <disabled>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </disabled>
+          </palette>
+         </property>
          <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
@@ -257,8 +294,8 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>577</width>
-            <height>455</height>
+            <width>608</width>
+            <height>450</height>
            </rect>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_19">
@@ -667,6 +704,43 @@
       <layout class="QVBoxLayout" name="verticalLayout_5">
        <item>
         <widget class="QScrollArea" name="scrollArea">
+         <property name="palette">
+          <palette>
+           <active>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </active>
+           <inactive>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </inactive>
+           <disabled>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </disabled>
+          </palette>
+         </property>
          <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
@@ -681,8 +755,8 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>577</width>
-            <height>606</height>
+            <width>594</width>
+            <height>575</height>
            </rect>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_8">
@@ -991,6 +1065,70 @@
       <layout class="QVBoxLayout" name="verticalLayout_6">
        <item>
         <widget class="QScrollArea" name="scrollArea_2">
+         <property name="palette">
+          <palette>
+           <active>
+            <colorrole role="Base">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>255</red>
+               <green>255</green>
+               <blue>255</blue>
+              </color>
+             </brush>
+            </colorrole>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </active>
+           <inactive>
+            <colorrole role="Base">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>255</red>
+               <green>255</green>
+               <blue>255</blue>
+              </color>
+             </brush>
+            </colorrole>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </inactive>
+           <disabled>
+            <colorrole role="Base">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+            <colorrole role="Window">
+             <brush brushstyle="SolidPattern">
+              <color alpha="255">
+               <red>249</red>
+               <green>249</green>
+               <blue>249</blue>
+              </color>
+             </brush>
+            </colorrole>
+           </disabled>
+          </palette>
+         </property>
          <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
@@ -1008,8 +1146,8 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>577</width>
-            <height>436</height>
+            <width>608</width>
+            <height>450</height>
            </rect>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_18">
12964-Test.diff (6,135 bytes)

FirasH

2016-05-31 20:43

developer  

prefs_pdfexportbase.ui (66,389 bytes)

Kunda

2016-11-03 23:09

updater   ~0042313

@bubu can you test firash's patch ?

bubu

2016-11-04 15:35

reporter   ~0042321

@Kunda, I'm sorry, but I don't know how to test this patch.

bubu

2020-11-13 09:03

reporter   ~0048393

After many years... I finally tested @FirasH's patch with Gitlab: https://gitlab.com/gyuris/scribus/-/commit/45cb1d1d35ad38e83dc63ec587d341300afdce84 AppImage can be downloaded. This patch adds a hard coded light background for affected tabs in PDF export dialog. I think this is not a good idea because this light background appears it "Windows" theme too and introduces a new problem.

I spent more time investigating this issue and I can more preciously articulate the problem:
- The issue affects only the "Fusion" theme.
- The issue affects only scrollable areas, but _all_ scrollable interfaces inside tabs on Preferences dialog. The visual gliches are: dark background + incomplete srollbar (missing top, right and bottom edge for scrollbar).

For example:
- Preferences > Document Setup > General (and Layout and Saving & Undo): not affacted, there are no scrollbars: has a light bachground
- Preferences > Document Setup > Margins & Bleeds: affected: there is a light margin and a dark background.

Affected interfaces = scrollable area inside tabs (dark background and incomplete scrollbar)
- Preferences > Document Setup > Margins & Bleeds == Document Setup > Document Setup > Margins & Bleeds
- Preferences > Item Tools > Text == Document Setup > Item Tools > Text
- Preferences > Item Tools > Images == Document Setup > Item Tools > Images
- Preferences > PDF Export > File Options == Document Setup > PDF Export > File Options
- Preferences > PDF Export > Color == Document Setup > PDF Export > Color
- Preferences > PDF Options > Pre-Press == Document Setup > PDF Options > Pre-Press

Not affected interfaces = scrollable area but without tabs (dark background, but complete scrollbar)
- Preferences > Typography
- Preferences > Color Management
- Preferences > External tools
- Preferences > Preflight Verifier: Profile Setup
- Preferences > Printer

bubu

2020-11-14 08:58

reporter   ~0048413

Finally I found the solution for this issue. See attached patch:
- Set transparent background for QScrollArea and child QWidget elements with CSS: fixes dark background problem.
- Unify margins and borders for QVBoxLayout: fixes incomplete scrollbar problem.
All affected interfaces are corrected.

eg.: This issue affects Fusion and gtk2 theme too. Tested with Windows, Fusion and gtk2 theme. Everything is OK.
Original MR: https://gitlab.com/scribus/scribus/-/merge_requests/25

@jghali, please commit, if you agree.

25.diff (5,848 bytes)
diff --git a/scribus/ui/prefs_documentsetupbase.ui b/scribus/ui/prefs_documentsetupbase.ui
index 99f2e383f0de0f067d777cd3cad8ab09a7d58025..3adf75fea8960f43c35fd3fdeeb3ea405a17db88 100644
--- a/scribus/ui/prefs_documentsetupbase.ui
+++ b/scribus/ui/prefs_documentsetupbase.ui
@@ -13,6 +13,12 @@
   <property name="windowTitle">
    <string notr="true">Form</string>
   </property>
+  <property name="styleSheet">
+   <string notr="true">QScrollArea#scrollArea,
+QWidget#scrollAreaWidgetContents {
+	background-color: transparent;
+}</string>
+  </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
    <item>
     <widget class="QLabel" name="titleLabel">
@@ -329,6 +335,18 @@
        <string>Margins &amp;&amp; Bleeds</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_3">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <widget class="QScrollArea" name="scrollArea">
          <property name="frameShape">
@@ -354,16 +372,16 @@
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_5">
            <property name="leftMargin">
-            <number>0</number>
+            <number>9</number>
            </property>
            <property name="topMargin">
-            <number>0</number>
+            <number>9</number>
            </property>
            <property name="rightMargin">
-            <number>0</number>
+            <number>9</number>
            </property>
            <property name="bottomMargin">
-            <number>0</number>
+            <number>9</number>
            </property>
            <item>
             <widget class="QLabel" name="marginsTitleLabel">
diff --git a/scribus/ui/prefs_itemtoolsbase.ui b/scribus/ui/prefs_itemtoolsbase.ui
index d878ebf4d0c273c40a239e569869e4bcddae3f2c..e88b44aecd08824b494465c884b06ed919675c5d 100644
--- a/scribus/ui/prefs_itemtoolsbase.ui
+++ b/scribus/ui/prefs_itemtoolsbase.ui
@@ -13,6 +13,14 @@
   <property name="windowTitle">
    <string notr="true">Form</string>
   </property>
+  <property name="styleSheet">
+   <string notr="true">QScrollArea#scrollArea,
+QScrollArea#scrollArea_2,
+QWidget#scrollAreaWidgetContents,
+QWidget#scrollAreaWidgetContents_2 {
+	background-color: transparent;
+}</string>
+  </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
     <widget class="QLabel" name="label">
@@ -75,7 +83,7 @@
           <enum>QFrame::NoFrame</enum>
          </property>
          <property name="frameShadow">
-          <enum>QFrame::Raised</enum>
+          <enum>QFrame::Plain</enum>
          </property>
          <property name="lineWidth">
           <number>0</number>
diff --git a/scribus/ui/prefs_pdfexportbase.ui b/scribus/ui/prefs_pdfexportbase.ui
index c8a643ca00de4ee2fcd3649acfd7fac63c62dc9e..c1cf963671e0bc8f8dba1ec03d68030af7024f1a 100644
--- a/scribus/ui/prefs_pdfexportbase.ui
+++ b/scribus/ui/prefs_pdfexportbase.ui
@@ -13,6 +13,16 @@
   <property name="windowTitle">
    <string notr="true">Form</string>
   </property>
+  <property name="styleSheet">
+   <string notr="true">QScrollArea#scrollArea,
+QScrollArea#scrollArea_2,
+QScrollArea#scrollArea_3,
+QWidget#scrollAreaWidgetContents,
+QWidget#scrollAreaWidgetContents_2,
+QWidget#scrollAreaWidgetContents_3 {
+	background-color: transparent;
+}</string>
+  </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
     <widget class="QLabel" name="label">
@@ -238,6 +248,18 @@
        <string>File Options</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_7">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <widget class="QScrollArea" name="scrollArea_3">
          <property name="frameShape">
@@ -665,11 +687,26 @@
        <string>Color</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_5">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <widget class="QScrollArea" name="scrollArea">
          <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
+         <property name="frameShadow">
+          <enum>QFrame::Plain</enum>
+         </property>
          <property name="lineWidth">
           <number>0</number>
          </property>
@@ -989,6 +1026,18 @@
        <string>Pre-Press</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_6">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <widget class="QScrollArea" name="scrollArea_2">
          <property name="frameShape">
25.diff (5,848 bytes)

bubu

2020-11-19 10:49

reporter   ~0048454

Dear developers, there is no any reaction... So I made a before and after screenshot to facilitate the understanding the problem and the solution. Maybe the fix and the provided patch is ugly, but as non C++ programmer I'm glad I was able to put this together :-). Can I do something else to fix this issue?

before-after.png (972,619 bytes)
before-after.png (972,619 bytes)

PeterBenedek

2020-11-19 12:11

developer   ~0048456

Last edited: 2020-11-21 16:51

View 2 revisions

Great job bubu. Congratulation.

Jean, please examine the patch.

jghali

2020-11-23 11:15

administrator   ~0048475

I looked at the patch and have an objection over the use of stylesheets: given my experience with improving Scribus support for dark mode, I would avoid using Qt stylesheets as much as possible. Any use of stylesheets by Scribus can indeed trigger conflicts with external themes which also rely on stylesheets and prevent some widgets to render correctly.

I have hence tried to find another solution. The attached patch is the result. It fixes the issue on Windows at least. Please test.

12964_visual_glitches.patch (6,666 bytes)
Index: scribus/ui/prefs_documentsetup.cpp
===================================================================
--- scribus/ui/prefs_documentsetup.cpp	(revision 24277)
+++ scribus/ui/prefs_documentsetup.cpp	(working copy)
@@ -27,6 +27,9 @@
 	m_doc(doc)
 {
 	setupUi(this);
+	
+	scrollArea->viewport()->setAutoFillBackground(false);
+	scrollArea->widget()->setAutoFillBackground(false);
 
 	m_caption = tr("Document Setup");
 	m_icon = "scribusdoc16.png";
Index: scribus/ui/prefs_itemtools.cpp
===================================================================
--- scribus/ui/prefs_itemtools.cpp	(revision 24277)
+++ scribus/ui/prefs_itemtools.cpp	(working copy)
@@ -23,6 +23,12 @@
 	showFontPreview(false)
 {
 	setupUi(this);
+
+	scrollArea->viewport()->setAutoFillBackground(false);
+	scrollArea->widget()->setAutoFillBackground(false);
+	scrollArea_2->viewport()->setAutoFillBackground(false);
+	scrollArea_2->widget()->setAutoFillBackground(false);
+
 	languageChange();
 
 	m_caption = tr("Item Tools");
Index: scribus/ui/prefs_itemtoolsbase.ui
===================================================================
--- scribus/ui/prefs_itemtoolsbase.ui	(revision 24277)
+++ scribus/ui/prefs_itemtoolsbase.ui	(working copy)
@@ -75,7 +75,7 @@
           <enum>QFrame::NoFrame</enum>
          </property>
          <property name="frameShadow">
-          <enum>QFrame::Raised</enum>
+          <enum>QFrame::Plain</enum>
          </property>
          <property name="lineWidth">
           <number>0</number>
Index: scribus/ui/prefs_pdfexport.cpp
===================================================================
--- scribus/ui/prefs_pdfexport.cpp	(revision 24277)
+++ scribus/ui/prefs_pdfexport.cpp	(working copy)
@@ -27,9 +27,18 @@
 	exportingPDF(false)
 {
 	setupUi(this);
+
+	scrollArea->viewport()->setAutoFillBackground(false);
+	scrollArea->widget()->setAutoFillBackground(false);
+	scrollArea_2->viewport()->setAutoFillBackground(false);
+	scrollArea_2->widget()->setAutoFillBackground(false);
+	scrollArea_3->viewport()->setAutoFillBackground(false);
+	scrollArea_3->widget()->setAutoFillBackground(false);
+
 	exportRangeMorePushButton->setIcon(IconManager::instance().loadIcon("ellipsis.png"));
 	pageMirrorHorizontalToolButton->setIcon(IconManager::instance().loadIcon("16/flip-object-horizontal.png"));
 	pageMirrorVerticalToolButton->setIcon(IconManager::instance().loadIcon("16/flip-object-vertical.png"));
+
 	unitChange(0);
 	languageChange();
 
Index: scribus/ui/prefs_pdfexportbase.ui
===================================================================
--- scribus/ui/prefs_pdfexportbase.ui	(revision 24277)
+++ scribus/ui/prefs_pdfexportbase.ui	(working copy)
@@ -10,12 +10,12 @@
     <height>550</height>
    </rect>
   </property>
-  <property name="windowTitle">
-   <string notr="true">Form</string>
-  </property>
-  <layout class="QVBoxLayout" name="verticalLayout">
-   <item>
-    <widget class="QLabel" name="label">
+  <property name="windowTitle">
+   <string notr="true">Form</string>
+  </property>
+  <layout class="QVBoxLayout" name="verticalLayout">
+   <item>
+    <widget class="QLabel" name="label">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -235,12 +235,24 @@
      </widget>
      <widget class="QWidget" name="tabFileOptions">
       <attribute name="title">
-       <string>File Options</string>
-      </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_7">
-       <item>
-        <widget class="QScrollArea" name="scrollArea_3">
-         <property name="frameShape">
+       <string>File Options</string>
+      </attribute>
+      <layout class="QVBoxLayout" name="verticalLayout_7">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item>
+        <widget class="QScrollArea" name="scrollArea_3">
+         <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
          <property name="frameShadow">
@@ -662,17 +674,32 @@
      </widget>
      <widget class="QWidget" name="tabColor">
       <attribute name="title">
-       <string>Color</string>
-      </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_5">
-       <item>
-        <widget class="QScrollArea" name="scrollArea">
-         <property name="frameShape">
-          <enum>QFrame::NoFrame</enum>
-         </property>
-         <property name="lineWidth">
-          <number>0</number>
-         </property>
+       <string>Color</string>
+      </attribute>
+      <layout class="QVBoxLayout" name="verticalLayout_5">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item>
+        <widget class="QScrollArea" name="scrollArea">
+         <property name="frameShape">
+          <enum>QFrame::NoFrame</enum>
+         </property>
+         <property name="frameShadow">
+          <enum>QFrame::Plain</enum>
+         </property>
+         <property name="lineWidth">
+          <number>0</number>
+         </property>
          <property name="widgetResizable">
           <bool>true</bool>
          </property>
@@ -986,12 +1013,24 @@
      </widget>
      <widget class="QWidget" name="tabPrePress">
       <attribute name="title">
-       <string>Pre-Press</string>
-      </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_6">
-       <item>
-        <widget class="QScrollArea" name="scrollArea_2">
-         <property name="frameShape">
+       <string>Pre-Press</string>
+      </attribute>
+      <layout class="QVBoxLayout" name="verticalLayout_6">
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
+       <item>
+        <widget class="QScrollArea" name="scrollArea_2">
+         <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
          <property name="frameShadow">

bubu

2020-11-23 18:41

reporter   ~0048478

@jghali, thank you for reviewing this issue. I tested your solution on Ubuntu 20.10 and I can confirm that everything is working in Preferences/Document Setup as I expect, it gives the same output as mine. Thank you for providing the solution. I tested on Ubuntu's light and dark theme as well. :-).

jghali

2020-11-23 20:38

administrator   ~0048479

Thanks for testing, the patch has now been applied.

Issue History

Date Modified Username Field Change
2015-03-22 12:11 bubu New Issue
2015-03-22 12:11 bubu File Added: Preferences - Document Setup - Margins & Bleeds.png
2015-03-22 12:12 bubu File Added: Preferences - Item Tools - Text.png
2015-03-22 12:12 bubu File Added: Preferences - Item Tools - Images.png
2015-03-22 12:12 bubu File Added: Preferences - PDF Export - File Options.png
2015-03-22 12:12 bubu File Added: Preferences - PDF Export - Color.png
2015-03-22 12:12 bubu File Added: Preferences - PDF Options - Pre-Press.png
2015-03-22 12:13 bubu File Added: Document Setup - Document Information - Further Information.png
2015-03-22 12:14 bubu File Added: Preferences - Guides.png
2015-03-23 07:06 christoph_s Priority normal => low
2015-03-23 07:06 christoph_s Target Version => 1.6 milestone
2015-06-30 17:32 Kunda Note Added: 0035586
2015-06-30 22:40 bubu File Added: Preferences - Document Setup - Margins & Bleeds (GTK+).png
2015-06-30 22:40 bubu File Added: Preferences - Document Setup - Margins & Bleeds (Fusion).png
2015-06-30 22:41 bubu Note Added: 0035595
2015-07-01 14:28 simonaw Note Added: 0035600
2015-07-01 14:52 simonaw File Added: scribus-preferences.png
2015-07-01 14:53 simonaw Note Added: 0035601
2015-07-01 15:11 Kunda Note Added: 0035602
2015-07-01 17:23 simonaw Note Added: 0035606
2015-07-01 17:40 Kunda Description Updated View Revisions
2015-07-01 17:40 Kunda Description Updated View Revisions
2015-07-01 19:44 Kunda Description Updated View Revisions
2015-07-01 23:23 Kunda Note Added: 0035612
2015-07-02 16:48 cbradney Note Added: 0035622
2016-05-29 10:13 Kunda Assigned To => FirasH
2016-05-29 10:13 Kunda Status new => assigned
2016-05-29 10:14 Kunda Note Added: 0041537
2016-05-29 10:26 Kunda Note Edited: 0041537 View Revisions
2016-05-30 19:36 FirasH Note Added: 0041575
2016-05-31 20:42 FirasH Note Added: 0041590
2016-05-31 20:42 FirasH File Added: 12964-Test.diff
2016-05-31 20:43 FirasH File Added: prefs_pdfexportbase.ui
2016-11-03 23:09 Kunda Note Added: 0042313
2016-11-04 15:35 bubu Note Added: 0042321
2020-11-13 09:03 bubu Note Added: 0048393
2020-11-14 08:58 bubu File Added: 25.diff
2020-11-14 08:58 bubu Note Added: 0048413
2020-11-14 08:58 bubu Tag Attached: patch
2020-11-19 10:49 bubu File Added: before-after.png
2020-11-19 10:49 bubu Note Added: 0048454
2020-11-19 12:11 PeterBenedek Note Added: 0048456
2020-11-21 16:50 PeterBenedek Summary Visual glitches in the Preferences / Document Setup dialog => [patch] Visual glitches in the Preferences / Document Setup dialog
2020-11-21 16:51 PeterBenedek Note Edited: 0048456 View Revisions
2020-11-23 11:15 jghali File Added: 12964_visual_glitches.patch
2020-11-23 11:15 jghali Note Added: 0048475
2020-11-23 18:41 bubu Note Added: 0048478
2020-11-23 20:38 jghali Note Added: 0048479
2020-11-23 20:39 jghali Summary [patch] Visual glitches in the Preferences / Document Setup dialog => Visual glitches in the Preferences / Document Setup dialog
2020-11-23 20:55 jghali Assigned To FirasH => jghali
2020-11-23 20:55 jghali Status assigned => resolved
2020-11-23 20:55 jghali Resolution open => fixed
2020-11-23 20:55 jghali Fixed in Version => 1.5.7.svn